#ifndef _MIC_REVERSE_OFFLOAD_COMMANDS_H
#define _MIC_REVERSE_OFFLOAD_COMMANDS_H

const int MaxCmd = 3;   // max size of command
const int MaxReq = 32;  // max # of outstanding MPI requests
struct Cmddata
{
    int snode;          // send node
    int rnode;          // receive node
    int buflen;         // length of buffers
    int spare1;         // pad to 64 bits
    off_t sbuff;        // send buffer
    off_t rbuff;        // receve buffer
};

const int CMD_Isend = 2;
const int CMD_Irecv = 3;
const int CMD_Waitall = 4;
const int CMD_Allreduce = 5;
const int CMD_Sendrecv = 6;
const int CMD_Fence = 7;
const int CMD_Nop = 8;

#endif
