#ifndef _FLOP_TABLE_H
#define _FLOP_TABLE_H

#ifdef _CLOVER

#define MULT_CLOVER          (600.0)
#define MULT_HOP             (1896.0-600.0)
#define MULT_MB_PRE          (1896.0*2+48.0)

#else

#define MULT_CLOVER          (0.0)
#define MULT_HOP             (1896.0-600.0)
#define MULT_MB_PRE          ((1896.0-600.0)*2+48.0)

#endif

#define QACCUM_RMULT_ADD     (48.0)
#define QACCUM_ADD_RMULT     (48.0)
#define QACCUM_CMULT_ADD     (96.0)
#define QACCUM_ADD_CMULT     (96.0)
#define QACCUM_ADD           (24.0)
#define QACCUM_SUB           (24.0)
#define QADD                 (24.0)
#define QSUB                 (24.0)
#define QPROD                (96.0)
#define QABS2                (48.0)

#endif
