#ifndef _MIC_REVERSE_OFFLOAD_H
#define _MIC_REVERSE_OFFLOAD_H

#include <immintrin.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <omp.h>
#include "cconfig.h"
#include "cmic_config.h"
#include "mic_param_size.h"
// interface routines for offloaded solver

//#include "csolver.h"
#pragma offload_attribute(push, target(mic))
#include "scif_interface.h"
#pragma offload_attribute(pop)

extern 
SCIF_Interface *scif_host;

extern __declspec(target(mic))
SCIF_Interface *scif_mic;

extern
int mic_targetid;

extern __declspec(target(mic))
char *mic_affinity;

extern "C" void parsecards();
extern "C" void start_scif();
extern "C" void process_cmds();

#endif
